Package org.opensaml.messaging.pipeline.servlet

# Class BasicHttpServletMessagePipeline

java.lang.Object
org.opensaml.messaging.pipeline.BasicMessagePipeline
org.opensaml.messaging.pipeline.servlet.BasicHttpServletMessagePipeline

All Implemented Interfaces:
  `MessagePipeline`, `HttpServletMessagePipeline`

public class BasicHttpServletMessagePipeline extends BasicMessagePipeline implements HttpServletMessagePipeline
Basic implementation of `HttpServletMessagePipeline`.

## Constructor Summary

Constructors
Constructor
Description
`BasicHttpServletMessagePipeline(MessageEncoder newEncoder, MessageDecoder newDecoder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`HttpServletRequestMessageDecoder`
`getDecoder()`
Get the message decoder instance.
`HttpServletResponseMessageEncoder`
`getEncoder()`
Get the message encoder instance.
`protected void`
`setDecoder(MessageDecoder decoder)`
Set the message decoder instance.
`protected void`
`setEncoder(MessageEncoder encoder)`
Set the message encoder instance.

### Methods inherited from class org.opensaml.messaging.pipeline.BasicMessagePipeline

`getInboundMessageHandler, getOutboundPayloadMessageHandler, getOutboundTransportMessageHandler, setInboundHandler, setOutboundPayloadHandler, setOutboundTransportHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.messaging.pipeline.MessagePipeline

`getInboundMessageHandler, getOutboundPayloadMessageHandler, getOutboundTransportMessageHandler`

## Constructor Details

### BasicHttpServletMessagePipeline

public BasicHttpServletMessagePipeline(@Nonnull MessageEncoder newEncoder, @Nonnull MessageDecoder newDecoder)
Constructor.

Parameters:
  `newEncoder` - the message encoder instance
  `newDecoder` - the message decoder instance

## Method Details

### getEncoder

@Nonnull public HttpServletResponseMessageEncoder getEncoder()
Get the message encoder instance.

Specified by:
  `getEncoder` in interface `HttpServletMessagePipeline`
Specified by:
  `getEncoder` in interface `MessagePipeline`
Overrides:
  `getEncoder` in class `BasicMessagePipeline`
Returns:
  the message encoder

### setEncoder

protected void setEncoder(@Nonnull MessageEncoder encoder)
Set the message encoder instance.

Overrides:
  `setEncoder` in class `BasicMessagePipeline`
Parameters:
  `encoder` - the new message encoder

### getDecoder

@Nonnull public HttpServletRequestMessageDecoder getDecoder()
Get the message decoder instance.

Specified by:
  `getDecoder` in interface `HttpServletMessagePipeline`
Specified by:
  `getDecoder` in interface `MessagePipeline`
Overrides:
  `getDecoder` in class `BasicMessagePipeline`
Returns:
  the message decoder

### setDecoder

protected void setDecoder(@Nonnull MessageDecoder decoder)
Set the message decoder instance.

Overrides:
  `setDecoder` in class `BasicMessagePipeline`
Parameters:
  `decoder` - the new message decoder